package cn.stylefeng.team.meta.api;

import cn.stylefeng.team.meta.api.pojo.db.DatabaseMetadataRequest;
import cn.stylefeng.team.meta.api.pojo.db.DatabaseTableDTO;
import cn.stylefeng.team.meta.api.pojo.db.TableDescription;

import java.util.List;

public interface DatabaseMetadataApi {

    List<String> getDatabaseNameList(DatabaseMetadataRequest databaseMetadataRequest);

    List<DatabaseTableDTO> getTableList(DatabaseMetadataRequest databaseMetadataRequest);

    List<TableDescription> getTableNameList(DatabaseMetadataRequest databaseMetadataRequest);

    List<DatabaseTableDTO> getTableListByNameList(DatabaseMetadataRequest databaseMetadataRequest);

}
